Package org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil

# Interface Service3OsgiR6

All Known Implementing Classes:
  `Service3OsgiR6ComponentServiceObjectsImpl`, `Service3OsgiR6Impl`

public interface Service3OsgiR6

## Method Summary

Modifier and Type
Method
Description
`org.osgi.service.component.ComponentContext`
`getComponentContext()`
`Map<String,Object>`
`getConfig()`
`ServiceInterface1`
`getReference1()`
`ServiceInterface1Optional`
`getReference1Optional()`
`ServiceSuperInterface3`
`getReference3DynamicFiltered()`
`List<ServiceInterface2>`
`getReferences2()`
`List<ServiceSuperInterface3>`
`getReferences3()`
`Collection<ServiceSuperInterface3>`
`getReferences3Collection()`
`List<ServiceSuperInterface3>`
`getReferences3Filtered()`
`Set<ServiceSuperInterface3>`
`getReferences3Set()`

## Method Details

### getReference1

ServiceInterface1 getReference1()

### getReference1Optional

ServiceInterface1Optional getReference1Optional()

### getReferences2

List<ServiceInterface2> getReferences2()

### getReferences3

List<ServiceSuperInterface3> getReferences3()

### getReferences3Filtered

List<ServiceSuperInterface3> getReferences3Filtered()

### getReference3DynamicFiltered

ServiceSuperInterface3 getReference3DynamicFiltered()

### getReferences3Set

Set<ServiceSuperInterface3> getReferences3Set()

### getReferences3Collection

Collection<ServiceSuperInterface3> getReferences3Collection()

### getComponentContext

org.osgi.service.component.ComponentContext getComponentContext()

### getConfig

Map<String,Object> getConfig()